# RiskModelSampleRisks (ARX GUI Documentation)

org.deidentifier.arx.risk

## Class RiskModelSampleRisks

- java.lang.Object
- - org.deidentifier.arx.risk.RiskModelSampleRisks

-     public class RiskModelSampleRisks
      extends java.lang.Object

  Class for analyzing re-identification risks of the current sample and mixed risks which have been derived from privacy models

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RiskModelSampleRisks(RiskModelHistogram histogram, ARXConfiguration config, boolean anonymous)` Creates a new instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAverageRisk()` Returns the average re-identification risk
    `double` | `getEstimatedJournalistRisk()` Return journalist risk threshold, 1 if there is none
    `double` | `getEstimatedMarketerRisk()` Return marketer risk threshold, 1 if there is none
    `double` | `getEstimatedProsecutorRisk()` Return prosecutor risk threshold, 1 if there is none
    `double` | `getFractionOfTuplesAffectedByHighestRisk()` Returns the fraction of tuples affected by the highest re-identification risk
    `double` | `getFractionOfTuplesAffectedByLowestRisk()` Returns the fraction of tuples affected by the lowest re-identification risk
    `double` | `getHighestRisk()` Returns the highest re-identification risk of any tuple in the data set
    `protected RiskModelHistogram` | `getHistogram()`
    `double` | `getLowestRisk()` Returns the lowest re-identification risk of any tuple in the data set
    `double` | `getNumTuplesAffectedByHighestRisk()` Returns the number of tuples affected by the highest re-identification risk
    `double` | `getNumTuplesAffectedByLowestRisk()` Returns the number of tuples affected by the lowest re-identification risk

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RiskModelSampleRisks

          public RiskModelSampleRisks(RiskModelHistogram histogram,
                              ARXConfiguration config,
                              boolean anonymous)

      Creates a new instance
      Parameters:
        `histogram` -
        `config` -
        `anonymous` -

  - ### Method Detail

    - #### getAverageRisk

          public double getAverageRisk()

      Returns the average re-identification risk
      Returns:

    - #### getEstimatedJournalistRisk

          public double getEstimatedJournalistRisk()

      Return journalist risk threshold, 1 if there is none
      Returns:

    - #### getEstimatedMarketerRisk

          public double getEstimatedMarketerRisk()

      Return marketer risk threshold, 1 if there is none
      Returns:

    - #### getEstimatedProsecutorRisk

          public double getEstimatedProsecutorRisk()

      Return prosecutor risk threshold, 1 if there is none
      Returns:

    - #### getFractionOfTuplesAffectedByHighestRisk

          public double getFractionOfTuplesAffectedByHighestRisk()

      Returns the fraction of tuples affected by the highest re-identification risk
      Returns:

    - #### getFractionOfTuplesAffectedByLowestRisk

          public double getFractionOfTuplesAffectedByLowestRisk()

      Returns the fraction of tuples affected by the lowest re-identification risk
      Returns:

    - #### getHighestRisk

          public double getHighestRisk()

      Returns the highest re-identification risk of any tuple in the data set
      Returns:

    - #### getLowestRisk

          public double getLowestRisk()

      Returns the lowest re-identification risk of any tuple in the data set
      Returns:

    - #### getNumTuplesAffectedByHighestRisk

          public double getNumTuplesAffectedByHighestRisk()

      Returns the number of tuples affected by the highest re-identification risk
      Returns:

    - #### getNumTuplesAffectedByLowestRisk

          public double getNumTuplesAffectedByLowestRisk()

      Returns the number of tuples affected by the lowest re-identification risk
      Returns:

    - #### getHistogram

          protected RiskModelHistogram getHistogram()

      Returns:
        the classes